/*
Solar Conquest
Copyright (C) 2006 Greg Beaman

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

class CBigTextItem : public CMenuItem
{
public:
	char text[MAX_TEXTVALUE_SIZE];

	CBigTextItem(int iid, int px, int py);
	virtual ~CBigTextItem();

	void DrawItem(bool selected);
	void DrawItemText(bool selected);
	void SetText(char* ntext);
};

CBigTextItem::CBigTextItem(int iid, int px, int py)
{
	id = iid;

	x = px;
	y = py;
	itemType = MENU_ITEM_BIGTEXT;
	strcpy(caption,"");

	width = 0;
	height = 0;

	nextItem = NULL;
};

CBigTextItem::~CBigTextItem()
{
}

void CBigTextItem::DrawItem(bool selected)
{
}

void CBigTextItem::DrawItemText(bool selected)
{
	g_MainFont->RenderText(x,y,1,1,text);
}

void CBigTextItem::SetText(char* ntext)
{
	if (strlen(ntext) < MAX_TEXTVALUE_SIZE)
		strcpy(text,ntext);
}
